Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.javascript.envjs.http.simple
[Java] Class SimpleHttpFileServer

    java.lang.Object
      org.gradle.plugins.javascript.envjs.http.simple.SimpleHttpFileServer

All Implemented Interfaces:
  HttpFileServer

    public class SimpleHttpFileServer

Constructor Summary
`SimpleHttpFileServer(File contentRoot, int port, Stoppable stopper)`

Method Summary
`File` | `getContentRoot()`
`int` | `getPort()`
`String` | `getResourceUrl(String path)`
`void` | `stop()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### SimpleHttpFileServer

    public SimpleHttpFileServer(File contentRoot, int port, Stoppable stopper)

Method Detail

### getContentRoot

    public File getContentRoot()

### getPort

    public int getPort()

### getResourceUrl

    public String getResourceUrl(String path)

### stop

    public void stop()

Gradle API 1.10